(function (Drupal, drupalSettings) {
  Drupal.behaviors.autosubmit = {
    attach: function (context, settings) {
      let contribution_record_form = document.forms['node-contribution-record-form'];
      let source_link = document.getElementsByName('field_source_link[0][uri]');

      if (source_link.length && contribution_record_form.length) {
        if (
          !contribution_record_form.classList.contains('submitted') &&
          !source_link[0].classList.contains('error') &&
          source_link[0].value.length > 0
        ) {
          contribution_record_form.classList.add('submitted');
          contribution_record_form.submit();
        }
      }
    }
  }
} (Drupal, drupalSettings));
